/*
 * This file is part of Kernel SPBM
 *
 * (c) 2003 Lehrstuhl Praktische Informatik IV, University of Mannheim
 *
 *   Kernel SPBM is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   Kernel SPBM is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Foobar; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



#include "spbm.h"
#include "thread.h"
#include <linux/ip.h>

struct grid *posToGrid(struct position *pos, struct grid *g);
struct grid *posToGridLevel(struct position *pos, struct grid *g,
			    int level);
void getGroups(struct grid *g, struct spbm_groups *grouplist);
void join(int group);
struct list_head *getMemberTable();
char *findNearest(struct grid *g);
void leave(int group);

struct updatepacket {
	struct grid destgrid;
	char src[6];
	struct position pos;
	struct spbm_groups groups;
	uint16_t seq;
} __attribute__ ((packed));
